#!/bin/sh

## open a minimal browser in different scenarios ##
# browser.sh by @root_informatica.

. $HOME/.config/wms/wms_var

FLAG=$1
# bookmarks file path.
BOOK="$HOME/.bookmarks"

# foreground / background menu colors.
COLORS="
-menu-background-color 0x$BC \
-menu-foreground-color 0x$AC \
-scroll-bar-bar-color 0x$AC \
-scroll-bar-frame-color 0x$IC \
-html-g-background-color 0x$BC
"

# discriminate depending on whether or not there is a graphical environment.
if [ -t 0 ]; then
    MENU="fzy"
    WBROW="links"
    TWBROW="links -socks-proxy 127.0.0.1:9050 -only-proxies 1"
else
    MENU="xmenu.sh"
    WBROW="links -g $COLORS"
    TWBROW="links -g $COLORS -socks-proxy 127.0.0.1:9050 -only-proxies 1"
fi

# torsock
TORSOCK="9050"

case $FLAG in
    -t)    # torsock browser (verify that the tor service is running).
	if ! nc -z localhost $TORSOCK; then
	    herbe "tor is NOT running" &
	    exit 0
	else
	    browser=$TWBROW
	fi
	;;
    *)    # default browser.                                                             
	browser=$WBROW
	;;
esac

# chose website and grep it in ~/.bookmarks.
# these two steps respond to aesthetic motivations.
INPUT=$(awk '{print $1}' < $BOOK | $MENU)
URL=$(cat $BOOK | grep ^$INPUT | cut -d ' ' -f 2)

# compare input, open input, open input url, search input o just exit.
if [ -n "$INPUT" ]; then
    if [ -n "$URL" ]; then
	$browser $URL

    else
	echo "$INPUT" | grep -Eq "^https://|^http://|^www." && $browser $INPUT \
		|| $browser "https://duckduckgo.com/?q=$INPUT"
    fi

else
    exit 0
fi

## .bookmarks example: ##
## website_1 https://website_1_example
## website_2 https://website_2_example
