#!/bin/sh

. $HOME/.config/wms/wms_var

## some info width dzen2 ##
# dzpanel.sh by @root_informatica.

FLAG=$1
HELLO="$HOME/.config/wms/wms.ascii"

clock() {
    while true; do
	date +%H:%M
	sleep 60
    done
}

# kill dzen
DZPID=$(pgrep dzen)
if [ -n "$DZPID" ]; then
    pkill dzen
    pkill dzpanel.sh
fi &

case $FLAG in
    -c)    # make a simple clock.
	clock | dzen2 -fn Hack-80 \
		      -fg "#$BC" -bg "#$AC" \
		      -w 360 -h 120 -x 500 -y 300 \
	    &
	    ;;
    -f)    # make a simple fetch.
	sfetch.sh | dzen2 -fn Hack-14 \
			  -e 'onstart=uncollapse' -l 10 \
			  -fg "#$BC" -bg "#$AC" \
			  -w 820 -x 260 -y 240 -p \
	    &
	    ;;
    -h)    # hello message.
	cat $HELLO  | dzen2 -fn Hack-14 \
			    -e 'onstart=uncollapse' -l 24 \
			    -fg "#$AC" -bg "#$BC" \
			    -w 480 -x 440 -y 58 -p \
	    &
	    ;;
    -s)    # make a simple status.
	status.sh | dzen2 -fn Hack-14 \
			  -e 'onstart=uncollapse' -l 6 \
	    		  -fg "#$BC" -bg "#$AC" \
	    		  -w 500 -x 420 -y 280 -p \
	    &
	    ;;
    -v)
	vol=$(amixer sget Master | awk -F "[][]" '/Playback/ {print $2}' | tr -d '\n')
	echo "volume: $vol" | dzen2 -fn Hack-40 \
				    -fg "#$BC" -bg "#$AC" \
				    -w 420 -h 80 -x 460 -y 320 -p 1 \
	    &
	    ;;
    *)
	exit 0
	;;
esac
