#!/bin/sh

## manage session and some more things ##

[ -t 0 ] && MENU="fzy" \
	|| MENU="xmenu.sh"

# keybindings reload.
KBRELOAD="pkill -usr1 -x sxhkd"
# lock screen monitor.
LOCK="slock"
# poweroff monitor.
MOFF="xset dpms force off"
# suspend to ram.
SP="doas zzz -z"
# hibernate.
HB="doas zzz -Z"
# reboot.
RB="doas shutdown -r now"
# poweroff.
POFF="doas shutdown -h now"
# exit session.
EXIT="pkill wew"

# litle menu.
PROMPT="reload-key\nlock\nmonitor-off\nhalt\nreboot\nsuspend\nhibernate\nexit"

option=`echo -e $PROMPT | $MENU`
if [ ${#option} -gt 0 ]; then
    case $option in
	reload-key)
	    $KBRELOAD
	    ;;
	lock)
	    $LOCK
	    ;;
	monitor-off)
	    $MOFF
	    ;;
	suspend)
	    $SP
	    ;;
	hibernate)
	    $HB
	    ;;
	halt)
            $POFF
	    ;;
	reboot)
            $RB
            ;;
	exit)
            $EXIT
	    ;;
	*)
	  ;;
      esac

else
    exit 0
fi
